<?php
class Audentio_Listener_InitDependencies
{
	public static function appendCopyright($hookName, &$contents, array $hookParams, XenForo_Template_Abstract $template)
	{
		if ($hookName == 'footer_after_copyright')
		{
			try
			{
				XenForo_Application::get('adcopyright');
			}
			catch (Zend_Exception $e)
			{
				XenForo_Application::set('adcopyright', true);
				$contents .= '<dl style="display: block; clear: left; float: left;">Add-ons by <a href="https://www.audentio.com/">Audentio Design</a> are installed.</dl>';
			}
		}
	}

	public static function appendCopyrightNotice(array $matches)
	{
		return $matches[0] .
		'<xen:if is="!{$adCopyrightShown}">' .
			'<xen:set var="$adCopyrightShown">1</xen:set>' .
			'<div id="adCopyrightNotice">' .
			'Some XenForo functionality crafted by <a href="https://www.audentio.com/" title="Premium XenForo Add-ons" target="_blank">Audentio Design</a>.' .
			'</div>' .
		'</xen:if>';
	}
}