<?php
class Audentio_SponsorDirectory_Listener_Install
{
	protected static $_updates = array(
		'1000070'	=> 'Audentio_SponsorDirectory_Listener_Install_1000070',
		'1000201'	=> 'Audentio_SponsorDirectory_Listener_Install_1000201',
	);

	public static function run($existingAddOn, $addOnData)
	{
		$installedVersion = is_array($existingAddOn) ? $existingAddOn['version_id'] : 0;
		foreach(self::$_updates as $version=>$updateClass)
		{
			if ($installedVersion == 0 || $version > $installedVersion)
			{
				$updateClass::run();
			}
		}
	}
}