<?php
class Audentio_SponsorDirectory_Model_Sponsor extends XenForo_Model
{
	public function getSponsorById($sponsorId)
	{
		return $this->_getDb()->fetchRow('
			SELECT *
			FROM adsponsordirectory_sponsor
			WHERE sponsor_id = ?
		', $sponsorId);
	}
	public function getAllSponsors()
	{
		return $this->fetchAllKeyed('
			SELECT *
			FROM adsponsordirectory_sponsor
			ORDER BY display_order ASC
		', 'sponsor_id');
	}

	public function getBarSponsors()
	{
		return $this->fetchAllKeyed('
			SELECT *
			FROM adsponsordirectory_sponsor
			WHERE display_in_bar = 1
				AND active = 1
				AND ((use_uploaded_file = 0) OR (uploaded_image_name != \'\'))
			ORDER BY display_order ASC
		', 'sponsor_id');
	}

	public function getPageSponsors()
	{
		return $this->fetchAllKeyed('
			SELECT *
			FROM adsponsordirectory_sponsor
			WHERE display_on_page = 1
				AND active = 1
				AND ((use_uploaded_file = 0) OR (uploaded_image_name != \'\'))
			ORDER BY display_order ASC
		', 'sponsor_id');
	}
}